Summary: WWW server logfile analysis program
Name: analog
Version: 5.24
Release: 1
Source: http://www.analog.cx/analog-%{version}.tar.gz
Patch0: analog-5.22-redhat.patch
Patch1: analog-4.16-htmlform.patch
Patch2: analog-5.24-perlform.patch
Patch3: analog-5.22-cfg.patch
Patch4: analog-5.22-cflags.patch
License: distributable
Group: Applications/System
URL: http://www.analog.cx/
BuildRoot: %{_tmppath}/analog-root

%description
WWW server logfile analysis program with lots of features.  Check the
home page at http://www.analog.cx for more information.  You should
edit the /etc/analog.cfg and customize it for your webserver with the
HOSTNAME and HOSTURL options.  Perl is required for the html forms
interface.  Apache is suggested as the default web server.

%package form  
Requires: analog webserver  
Summary: Form interface to analog  
Group: Applications/System 
 
%description form  
Form interface to the analog httpd log analysis program.  You should
regenerate the form file to customize it for your server by running
'analog -form +O /var/www/html/analogform.html' after you have
modified /etc/analog.cfg.

%prep
%setup -q
%patch0 -p1 -b .rh
%patch1 -p1 -b .html
%patch2 -p1 -b .perl
%patch3 -p1 -b .cfg
%patch4 -p1 -b .cflags
perl -pi -e "s,/images/,/analogimages/,g" lang/*.html
perl -pi -e "s,^IMAGEDIR.*,IMAGEDIR /analogimages/,g" examples/*.cfg

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{/etc,/var/www/{html/analogimages,cgi-bin},/var/lib/analog/lang}
mkdir -p $RPM_BUILD_ROOT/usr/bin

install -m755 analog $RPM_BUILD_ROOT/usr/bin/
install -m644 analog.cfg $RPM_BUILD_ROOT/etc
install -m555 anlgform.pl $RPM_BUILD_ROOT/var/www/cgi-bin
install -m644 anlgform.html $RPM_BUILD_ROOT/var/www/html

cp -p images/* $RPM_BUILD_ROOT/var/www/html/analogimages
cp -p lang/* $RPM_BUILD_ROOT/var/lib/analog/lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Licence.txt README.txt docs/ examples/
%config /etc/analog.cfg
/usr/bin/analog
/var/www/html/analogimages
/var/lib/analog

%files form  
%defattr(-,root,root) 
%config /var/www/html/anlgform.html  
/var/www/cgi-bin/anlgform.pl

%changelog
* Mon Sep 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.24-1
- 5.24, fixing more security bugs

* Tue May 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.22-3
- Really fix i18n, CONFDIR needs to include a trailing slash.

* Thu May 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.22-2
- Fix i18n

* Tue Apr  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 5.22-1
- 5.22, fixes security bugs
- Clean up spec file

* Mon Mar  5 2001 Tim Powers <timp@redhat.com>
- fixed bad group

* Fri Feb 23 2001 Tim Powers <timp@redhat.com>
- build the analog-form subpackage like we did with in Secure Web
  Server

* Tue Feb 13 2001 Tim Powers <timp@redhat.com>
- updated to 4.16, security release (bug #27462 )

* Fri Jan 19 2001 Tim Powers <timp@redhat.com>
- fixed bug 23603 (I think)

* Tue Jan  9 2001 Tim Powers <timp@redhat.com>
- changed the images dir to analogimages as per bug #23603

* Fri Dec  8 2000 Tim Powers <timp@redhat.com>
- patched Makefile to use RPM_OPT_FLAGS when building.
- quiet setup
- changed group
- changed /var/analog-* to /var/lib/analog, it's a bit cleaner
- changed the default httpd dir to be FHS compliant (not in /home)
- added defattr in files section
- cleaned up install section

* Fri Aug 25 2000 Jackie Meese <jmeese@vt.edu>
- changed analog.cfg file to use full path of gzip

* Thu Jun 7 2000 Jackie Meese <jmeese@vt.edu>
- changed to bzip2 format, cutting 150k off SRPM size
- fixed error in html form to conform to RPM installation defaults

* Fri Jun 2 2000 Jackie Meese <jmeese@vt.edu>
- added examples to the docs directory

* Tue Apr 5 2000 Jackie Meese <jmeese@vt.edu>
- moved images to /home/httpd/html/images so no reconfiguration of
- httpd.conf required with apache rpms

* Tue Apr 4 2000 Jackie Meese <jmeese@vt.edu>
- fixed error in /var/analog directory

* Fri Dec 31 1999 Jackie Meese <jmeese@vt.edu>
- removed apache requirement
- no webserver requirement added either since not all web servers remember
- to use a Provides: tag when built

